cpw.mods.fml.common.event

## Class FMLPreInitializationEvent

- java.lang.Object
- - cpw.mods.fml.common.event.FMLEvent
  - - cpw.mods.fml.common.event.FMLStateEvent
    - - cpw.mods.fml.common.event.FMLPreInitializationEvent

-     public class FMLPreInitializationEvent
      extends FMLStateEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLPreInitializationEvent(Object... data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyModContainer(ModContainer activeContainer)`
    `ASMDataTable` | `getAsmData()`
    `Certificate[]` | `getFMLSigningCertificates()` Deprecated.
    `File` | `getModConfigurationDirectory()`
    `Logger` | `getModLog()` Get a logger instance configured to write to the FML Log as a parent, identified by modid.
    `ModMetadata` | `getModMetadata()`
    `LoaderState.ModState` | `getModState()`
    `File` | `getSourceFile()`
    `File` | `getSuggestedConfigurationFile()`
    `Properties` | `getVersionProperties()`

    - ### Methods inherited from class cpw.mods.fml.common.event.FMLStateEvent

      `getSide`

    - ### Methods inherited from class cpw.mods.fml.common.event.FMLEvent

      `getEventType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLPreInitializationEvent

          public FMLPreInitializationEvent(Object... data)

  - ### Method Detail

    - #### getModState

          public LoaderState.ModState getModState()

      Specified by:
        `getModState` in class `FMLStateEvent`

    - #### applyModContainer

          public void applyModContainer(ModContainer activeContainer)

      Overrides:
        `applyModContainer` in class `FMLEvent`

    - #### getSourceFile

          public File getSourceFile()

    - #### getModMetadata

          public ModMetadata getModMetadata()

    - #### getModConfigurationDirectory

          public File getModConfigurationDirectory()

    - #### getSuggestedConfigurationFile

          public File getSuggestedConfigurationFile()

    - #### getAsmData

          public ASMDataTable getAsmData()

    - #### getVersionProperties

          public Properties getVersionProperties()

    - #### getModLog

          public Logger getModLog()

      Get a logger instance configured to write to the FML Log as a parent, identified by modid. Handy for mod logging! Configurations can be applied through the `config/logging.properties` file, specifying logging levels for your ModID. Use this!
      Returns:
        A logger

    - #### getFMLSigningCertificates

          @Deprecated
          public Certificate[] getFMLSigningCertificates()

      Deprecated.
      Retrieve the FML signing certificates, if any. Validate these against the published FML certificates in your mod, if you wish. Deprecated because mods should NOT trust this code. Rather they should copy this, or something like this, into their own mods.
      Returns:
        Certificates used to sign FML and Forge